local MAJOR = "LibScriptableDisplayPluginBit-1.0" 
local MINOR = 15

local PluginBit = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginBit then return end

local _G = _G

if not PluginBit.__index then
	PluginBit.__index = PluginBit
end

-- Populate an environment with this plugin's fields
-- @usage :New(environment) 
-- @parma environment This will be the environment when setfenv is called.
-- @return A new plugin object, aka the environment
function PluginBit:New(environment)
	environment.bit = {}
	environment.bit.bnot = _G.bit.bnot
	environment.bit.band = _G.bit.band
	environment.bit.bor = _G.bit.bor
	environment.bit.bxor = _G.bit.bxor
	environment.bit.lshift = _G.bit.lshift
	environment.bit.rshift = _G.bit.rshift
	environment.bit.arshift = _G.bit.arshift
	environment.bit.mod = _G.bit.mod
	
	return environment
	
end
